Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Plain View
Accumulo >> mail # dev >> Accumulo 1.4 & 1.5 API comparison


+
Keith Turner 2013-04-22, 18:34
+
John Vines 2013-04-22, 21:12
Copy link to this message
-
Re: Accumulo 1.4 & 1.5 API comparison
On Mon, Apr 22, 2013 at 5:12 PM, John Vines <[EMAIL PROTECTED]> wrote:

> That's pretty cool, how did you generate it?
>

Using the scripts linked below.  Also look at test/compat/japi-compliance
in Accumulo.

http://ispras.linuxbase.org/index.php/Java_API_Compliance_Checker
https://github.com/lvc/japi-compliance-checker/

I run the script with an option to ignore removal of deprecated methods.
 This is a feature I asked for on github.
> Why did MutationsRejectedException.getAuthorizationFailures ( ) get changed
> to protected? That seems a little bad all around
>

That is bad.  I did not notice that.  Its fixed.
>
> Besides that, it looks like all of the critical issues are MapReduce API
> related?
>
>
> On Mon, Apr 22, 2013 at 2:34 PM, Keith Turner <[EMAIL PROTECTED]> wrote:
>
> > Here is a comparison of the 1.4 and 1.5 APIs
> >
> >
> >
> http://people.apache.org/~kturner/1.4.4-SNAPSHOT_to_1.5.0-SNAPSHOT/compat_report.html
> >
>
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB